<?php
//Incluir archivos necesarios
require_once 'db.php';

//Clase categorias
class categorias extends conn { 

public function ultimacategoria () {
  $conn = parent::crearconn();
  $sql = "select max(ID) from categoria";
  $resultado = $conn->query($sql); 
 $re=mysqli_fetch_row($resultado)[0];
 return $re;

   
}

//Metedo para mostrar todas las categorias
public function getAll()
{
$conn = parent::crearconn();//llamar a la función crearconn() de la clase padre
$sql = " SELECT * FROM categoria where Estado = 1 ";

$result = $conn->query($sql);
$categorias = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $categorias[] = $row;
       }   
    }   
    return $categorias;
}   
//Metedo para mostrar todas las categorias eliminadas logicamente
   public function getAllDelete()
{
$conn = parent::crearconn();
$sql = " SELECT * FROM categoria where Estado = 0 "; 
$result = $conn->query($sql);
$categorias = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $categorias[] = $row;
       }   
    }   
    return $categorias;
}   
//Metodo para registrar una categoria
public function savecat($namee)
{
$conn = parent::crearconn();
$namee= $conn->real_escape_string($namee); 
$sql = "INSERT INTO categoria (Nombre) values('$namee')";
$result = $conn->query($sql);
  return $result;
}

//Metodo para ver categoria por su ID
public function getById($catId) 
{
$conn = parent::crearconn();
$catId = $conn->real_escape_string($catId);
$sql = "SELECT * FROM categoria WHERE ID = '$catId'";
$result = $conn->query($sql); 
if ($result->num_rows == 1) {
 $categoria= $result->fetch_assoc(); return $categoria;
} else { 
  return null;
    }
}

//Metodo para editar una categoria
public function updatecat($catId,$editname)
{ 
$conn = parent::crearconn();
mysqli_query ($conn, "UPDATE `categoria` SET  `Nombre`  = '$editname' WHERE `ID` = '$catId' ");
mysqli_close($conn);
}

//Metodo para eliminar logicamente una categoria 
public function deletecat($cateId)
{
$conn = parent::crearconn();
$cateId = $conn->real_escape_string($cateId);
$sql = "UPDATE `categoria` set `Estado` = '0' WHERE ID = '$cateId'";
$resultado = $conn->query($sql);
  return $resultado;

} 
//Metodo para restaurar una categoria
public function restaurarcat($cateId)
{
$conn = parent::crearconn();
$cateId = $conn->real_escape_string($cateId);
$sql = "UPDATE `categoria` set `Estado` = '1' WHERE ID = '$cateId'";
$resultado = $conn->query($sql);
  return $resultado;
} 
}
?>